%global owner emqx
%global project neuron

Name:           emqx-neuron
Version:        2.0.1
Release:        1%{?dist}
Summary:        IIoT edge industrial gateway

License:        LGPLv3
URL:            https://www.emqx.com/en/products/neuron
Source0:        https://github.com/%{owner}/%{project}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
# Deal with git submodules not in the archive
Source1:        libcsptr.tar.gz
Source2:        uthash.tar.gz
Source3:        vector.tar.gz

Patch0:         neuron-cmake.patch

BuildRequires:  cmake 
BuildRequires:  gcc gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  jansson-devel
BuildRequires:  libasan
BuildRequires:  libjwt-devel
BuildRequires:  mqtt-c-devel
BuildRequires:  nng-devel
BuildRequires:  libyaml-devel
BuildRequires:  zlib-devel
BuildRequires:  zlog-devel
%if 0%{?rhel}
BuildRequiers:  openssl-devel
%else
BuildRequires:  openssl1.1-devel
%endif

%description
Neuron is an Industrial IoT (IIoT) edge industrial gateway for modern big data
technology to leverage the power of Industrial 4.0. It supports one-stop access
to dozens of industrial protocols and converts them into MQTT protocol to
access the IIoT platform.


%prep
%autosetup -n %{project}-%{version}
gzip -dc %{SOURCE1} | tar -xf - -C extern/libcsptr
gzip -dc %{SOURCE2} | tar -xf - -C extern/uthash
gzip -dc %{SOURCE3} | tar -xf - -C extern/vector


%build
%cmake -DDISABLE_UT=ON
%cmake_build


%install
%cmake_install

rm -f %{buildroot}%{_prefix}/lib/libcsptr*
mv %{buildroot}%{_prefix}%{_sysconfdir} %{buildroot}%{_sysconfdir}


%check
#ctest


%files
%license LICENSE
%doc README.md
%{_bindir}/neuron
%{_mandir}/man3/csptr.3.gz
%{_libdir}/libneuron-base.so
%{_libdir}/cmake/neuron/neuron-config.cmake
%{_includedir}/*
%{_sysconfdir}/ld.so.conf.d/neuron.conf

%changelog
* Fri May 06 2022 Richard Shaw <hobbes1069@gmail.com> - 2.0.1-1
- Initial packaging.
